CREATE TABLE CRST_FND_CONC_PROG (
  APPLICATION_ID                  NUMBER(15),
  CONCURRENT_PROGRAM_ID           NUMBER(15),
  CONCURRENT_PROGRAM_NAME         VARCHAR2(30),
  LAST_UPDATE_DATE                DATE,
  LAST_UPDATED_BY                 NUMBER(15),
  CREATION_DATE                   DATE,
  CREATED_BY                      NUMBER(15),
  LAST_UPDATE_LOGIN               NUMBER(15),
  EXECUTABLE_APPLICATION_ID       NUMBER(15),
  EXECUTABLE_ID                   NUMBER(15),
  EXECUTION_METHOD_CODE           VARCHAR2(1),
  ARGUMENT_METHOD_CODE            VARCHAR2(1),
  QUEUE_CONTROL_FLAG              VARCHAR2(1),
  QUEUE_METHOD_CODE               VARCHAR2(1),
  REQUEST_SET_FLAG                VARCHAR2(1),
  ENABLED_FLAG                    VARCHAR2(1),
  PRINT_FLAG                      VARCHAR2(1),
  RUN_ALONE_FLAG                  VARCHAR2(1),
  SRS_FLAG                        VARCHAR2(1),
  CLASS_APPLICATION_ID            NUMBER(15),
  CONCURRENT_CLASS_ID             NUMBER(15),
  EXECUTION_OPTIONS               VARCHAR2(250),
  SAVE_OUTPUT_FLAG                VARCHAR2(1),
  REQUIRED_STYLE                  VARCHAR2(1),
  OUTPUT_PRINT_STYLE              VARCHAR2(30),
  PRINTER_NAME                    VARCHAR2(30),
  MINIMUM_WIDTH                   NUMBER(4),
  MINIMUM_LENGTH                  NUMBER(4),
  REQUEST_PRIORITY                NUMBER(15),
  ATTRIBUTE_CATEGORY              VARCHAR2(30),
  ATTRIBUTE1                      VARCHAR2(150),
  ATTRIBUTE2                      VARCHAR2(150),
  ATTRIBUTE3                      VARCHAR2(150),
  ATTRIBUTE4                      VARCHAR2(150),
  ATTRIBUTE5                      VARCHAR2(150),
  ATTRIBUTE6                      VARCHAR2(150),
  ATTRIBUTE7                      VARCHAR2(150),
  ATTRIBUTE8                      VARCHAR2(150),
  ATTRIBUTE9                      VARCHAR2(150),
  ATTRIBUTE10                     VARCHAR2(150),
  ATTRIBUTE11                     VARCHAR2(150),
  ATTRIBUTE12                     VARCHAR2(150),
  ATTRIBUTE13                     VARCHAR2(150),
  ATTRIBUTE14                     VARCHAR2(150),
  ATTRIBUTE15                     VARCHAR2(150),
  IPROG_ID                        NUMBER(4),
  OUTPUT_FILE_TYPE                VARCHAR2(4),
  ENABLE_TRACE                    VARCHAR2(1),
  RESTART                         VARCHAR2(1),
  NLS_COMPLIANT                   VARCHAR2(1),
  ICON_NAME                       VARCHAR2(30),
  CD_PARAMETER                    VARCHAR2(240),
  INCREMENT_PROC                  VARCHAR2(61),
  MLS_EXECUTABLE_APP_ID           NUMBER(15),
  MLS_EXECUTABLE_ID               NUMBER(15),
  ENABLE_TIME_STATISTICS          VARCHAR2(1),
  SECURITY_GROUP_ID               NUMBER,
  STAT_COLLECT                    VARCHAR2(1),
  RESOURCE_CONSUMER_GROUP         VARCHAR2(30),
  ROLLBACK_SEGMENT                VARCHAR2(30),
  OPTIMIZER_MODE                  VARCHAR2(30),
  INSTANCE_ID                     NUMBER(15),
  REFRESH_PORTLET                 VARCHAR2(1),
  PROGRAM_TYPE                    VARCHAR2(1),
  ACTIVITY_SUMMARIZER             VARCHAR2(51),
  REQUEST_SCH_INTERVAL            NUMBER,
  ALLOW_MULTIPLE_PENDING_REQUEST  VARCHAR2(1),
  DELETE_LOG_FILE                 VARCHAR2(1),
  DUMMY                           CHAR(1),
  LAST_UPDATED_BY_NAME            VARCHAR2(100),
  CREATED_BY_NAME                 VARCHAR2(100)
);
